import React from "react";
import PropTypes from "prop-types";

export default function Link(props) {
  return (
    <svg
      style={props.style}
      className={props.className}
      width={props.width}
      height={props.height}
      viewBox="0 0 25 25"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <g clipPath="url(#clip0_903:396)">
        <path
          d="M13.4562 17.2815L9.63109 21.1067C9.63109 21.1067 9.63109 21.1068 9.631 21.1068C9.631 21.1068 9.631 21.1069 9.63091 21.1069C8.04911 22.6888 5.47517 22.6889 3.89319 21.1069C3.12681 20.3405 2.70486 19.3216 2.70486 18.2379C2.70486 17.1544 3.12681 16.1356 3.89292 15.3692C3.89301 15.3692 3.8931 15.3691 3.89319 15.369L7.71831 11.5438C8.24639 11.0156 8.24639 10.1592 7.71822 9.63117C7.19014 9.10309 6.33378 9.10309 5.80561 9.63117L1.9805 13.4564C1.98023 13.4566 1.97996 13.457 1.97968 13.4573C0.703083 14.7343 0 16.4322 0 18.2379C0 20.0441 0.703353 21.7423 1.98059 23.0195C3.29893 24.3377 5.03049 24.9969 6.76214 24.9969C8.49379 24.9969 10.2254 24.3377 11.5436 23.0195V23.0194C11.5437 23.0194 11.5437 23.0193 11.5437 23.0193L15.3688 19.1941C15.8969 18.666 15.8969 17.8097 15.3687 17.2815C14.8407 16.7534 13.9845 16.7534 13.4562 17.2815Z"
          fill={props.fill}
        />
        <path
          d="M24.9996 6.7622C24.9996 4.95599 24.2961 3.25788 23.0189 1.98065C20.3823 -0.655866 16.0923 -0.655776 13.4559 1.98065C13.4558 1.98083 13.4556 1.98092 13.4555 1.9811L9.6305 5.80604C9.10233 6.33411 9.10233 7.19056 9.6305 7.71864C9.89468 7.98282 10.2407 8.11481 10.5868 8.11481C10.9329 8.11481 11.2791 7.98272 11.5431 7.71864L15.3681 3.8937C15.3682 3.89352 15.3684 3.89343 15.3686 3.89325C16.9504 2.31145 19.5243 2.31136 21.1063 3.89325C21.8726 4.65963 22.2947 5.67855 22.2947 6.7622C22.2947 7.84577 21.8728 8.86451 21.1066 9.63088C21.1065 9.63097 21.1064 9.63106 21.1063 9.63115L17.2812 13.4564C16.7531 13.9844 16.7531 14.8408 17.2813 15.369C17.5454 15.6331 17.8915 15.7651 18.2375 15.7651C18.5837 15.7651 18.9298 15.6331 19.1939 15.369L23.019 11.5438C23.0193 11.5435 23.0195 11.5431 23.0198 11.5429C24.2964 10.2658 24.9996 8.56797 24.9996 6.7622Z"
          fill={props.fill}
        />
        <path
          d="M7.71839 17.2814C7.98248 17.5455 8.32861 17.6776 8.67465 17.6776C9.02078 17.6776 9.36691 17.5455 9.631 17.2814L17.2814 9.63099C17.8096 9.10291 17.8096 8.24655 17.2814 7.71839C16.7533 7.19031 15.897 7.19031 15.3688 7.71839L7.71839 15.3687C7.19022 15.897 7.19022 16.7533 7.71839 17.2814Z"
          fill={props.fill}
        />
      </g>
      <defs>
        <clipPath id="clip0_903:396">
          <rect width="25" height="25" fill="white" />
        </clipPath>
      </defs>
    </svg>
  );
}

Link.propTypes = {
  className: PropTypes.string,
  fill: PropTypes.string,
  width: PropTypes.number,
  height: PropTypes.number,
};

Link.defaultProps = {
  className: "",
  fill: "#6b7daa",
  width: 25,
  height: 25,
};
